The Alternative Csound Reference Manual
Previous |  | Next

# inz

inz -- Reads multi-channel audio samples into a ZAK array from an external device or stream.

## Description

Reads multi-channel audio samples into a ZAK array from an external device or stream.

## Syntax

inz ksig1

## Performance

inz reads audio samples in nchnls into a ZAK array starting at ksig1. If the command-line -i flag is set, sound is read continuously from the audio input stream (e.g. stdin or a soundfile) into an internal buffer.

## Credits

in32, inch, inx

## Credits

Author: John ffitch
University of Bath/Codemist Ltd.
Bath, UK
May 2000

New in Csound Version 4.07

Previous | Home | Next
inx | Up | ioff